#ifndef TERMINAL_H
#define TERMINAL_H

#ifdef _MSC_VER
#include <SDL.h>
#else
#include <SDL2/SDL.h>
#endif
#include <libssh/libssh.h>

class Terminal
{
    public:
        Terminal();
        virtual ~Terminal();
        void twrite(unsigned char *c, int len);
        SDL_Surface *getSurface();
        void drawChar(unsigned char c);
        void setZmodem(int *z);
        
    protected:
    private:
        void scrollUp();
        SDL_Surface *screen;
        SDL_Surface *font_bmp;
        SDL_Surface *pot_noodle_bmp;
        SDL_Surface *topaz_plus_bmp;
        SDL_Surface *mk_plus_bmp;
        SDL_Surface *mk_bmp;
        SDL_Surface *topaz_bmp;
        SDL_Surface *mosoul_bmp;
        SDL_Surface *screenbacker;
        SDL_Surface *screencopy;
        int color;
        int bgcolor;
        int cur_col;
        int cur_row;
        int state;
        int params[16];
        int param_count;
        int save_col;
        int save_row;
        int bold;
        int vt320;
        int cursor;
        int zmodem_detect;
        int *zmodem;
        int curfont;
        Uint32 colours[16] = { 0xff000000, 0xffaa0000, 0xff00aa00, 0xffaaaa00, 0xff0000aa, 0xffaa00aa, 0xff0055aa, 0xffaaaaaa, 0xff555555, 0xffff5555, 0xff55ff55, 0xffffff55, 0xff5555ff, 0xffff55ff, 0xff55ffff, 0xffffffff };
};



#endif // TERMINAL_H
